summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2013-05-14 04:55:18 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2013-05-14 04:55:18 +0300
commitdc322dadb3089c9c23be48e3a1448868d21bd251 (patch)
tree431b4c3c255e7ab8d6440ed03c11bfe28a366c21 /dev-libs
parent697ae6a97f42fa545561e9a25439288bc91bdb83 (diff)
new file: dev-libs/libcitadel/libcitadel-9999.ebuild
new file: mail-mta/citadel/citadel-9999.ebuild new file: mail-mta/citadel/files/citadel.init
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/libcitadel/libcitadel-9999.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-libs/libcitadel/libcitadel-9999.ebuild b/dev-libs/libcitadel/libcitadel-9999.ebuild
new file mode 100644
index 0000000..c6120c4
--- /dev/null
+++ b/dev-libs/libcitadel/libcitadel-9999.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-9999.ebuild,v 1.6 2010/06/19 00:36:37 abcd Exp $
+
+EAPI="2"
+
+EGIT_REPO_URI="git://git.citadel.org/appl/gitroot/citadel.git"
+EGIT_PROJECT="citadel"
+
+inherit autotools base git
+
+DESCRIPTION="Git master version of the whole citadel suit"
+HOMEPAGE="http://citadel.org"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-libs/expat
+ >=dev-libs/libical-0.43
+ net-misc/curl
+ mail-filter/libsieve
+ >=sys-libs/db-4.1.25_p1"
+DEPEND="${RDEPEND}
+ >=sys-devel/autoconf-2.52
+ >=sys-devel/libtool-1.4"
+
+src_prepare() {
+ # this is an ugly workaround to point S to the proper dir.
+ # doing so before src_unpack leads to circular path definition and is not helping
+ S="${WORKDIR}/${P}/${PN}"
+ cd "$S" || die "changing into proper source dir failed"
+ rm conftools/libtool.m4 || die "removal of libtool file failed"
+ eautoreconf || die "eautoreconf failed"
+}